﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Pnj : MonoBehaviour
{
    //[SerializeField] float range;
    public string firstDialoque;
    public GameObject dialogueBox;
    public Text dialoqueText;
    Camera cam;
    bool playerIn;

    // Start is called before the first frame update
    void Start()
    {
        playerIn = false;
        dialogueBox.SetActive(false);
        dialoqueText.text = "";
        cam = Camera.main;
    }

    private void Update()
    {
        if(playerIn)
        {
            dialogueBox.transform.rotation = Quaternion.LookRotation(transform.position - cam.transform.position);
            if (Input.GetButtonDown("Interact"))
                dialoqueText.text = "F you";
        }
    }

    private void OnTriggerEnter(Collider other)
    {
        if(other.tag == "P")
        {
            dialogueBox.SetActive(true);
            dialoqueText.text = firstDialoque;
            playerIn = true;
        }
    }

    private void OnTriggerExit(Collider other)
    {
        if (other.tag == "P")
        {
            dialogueBox.SetActive(false);
            dialoqueText.text = "";
            playerIn = false;
        }
    }
}
